/** @file API.h
 *
 * @author Runar Kjellhaug
 *
 * @compiler This program has been tested with Keil C51 V7.50.
 *
 *
 * $Date: 31.01.06 14:14 $
 * $Revision: 13 $
 *
 */


//********************************************************************************************************************//
// SPI(nRF24L01) commands
#define NRF_READ_REG        0x00  // Define read command to register
#define NRF_WRITE_REG       0x20  // Define write command to register
#define NRF_RD_RX_PLOAD     0x61  // Define RX payload register address
#define NRF_WR_TX_PLOAD     0xA0  // Define TX payload register address
#define NRF_FLUSH_TX        0xE1  // Define flush TX register command
#define NRF_FLUSH_RX        0xE2  // Define flush RX register command
#define NRF_REUSE_TX_PL     0xE3  // Define reuse TX payload register command
#define NRF_NOP_NRF         0xFF  // Define No Operation, might be used to read status register
#define NRF_ACTIVATE		0x50
#define NRF_W_TX_PLOAD_NOACK 0xB0	
#define NRF_W_ACK_PAYLOAD_P0 0xA8	
#define NRF_R_RX_PL_WID		0x60
//********************************************************************************************************************//
// SPI(nRF24L01) registers(addresses)
#define NRF_CONFIG          0x00  // 'Config' register address
#define NRF_EN_AA           0x01  // 'Enable Auto Acknowledgment' register address
#define NRF_EN_RXADDR       0x02  // 'Enabled RX addresses' register address
#define NRF_SETUP_AW        0x03  // 'Setup address width' register address
#define NRF_SETUP_RETR      0x04  // 'Setup Auto. Retrans' register address
#define NRF_RF_CH           0x05  // 'RF channel' register address
#define NRF_RF_SETUP        0x06  // 'RF setup' register address
#define NRF_STATUS          0x07  // 'Status' register address
#define NRF_OBSERVE_TX      0x08  // 'Observe TX' register address
#define NRF_CD              0x09  // 'Carrier Detect' register address
#define NRF_RX_ADDR_P0      0x0A  // 'RX address pipe0' register address
#define NRF_RX_ADDR_P1      0x0B  // 'RX address pipe1' register address
#define NRF_RX_ADDR_P2      0x0C  // 'RX address pipe2' register address
#define NRF_RX_ADDR_P3      0x0D  // 'RX address pipe3' register address
#define NRF_RX_ADDR_P4      0x0E  // 'RX address pipe4' register address
#define NRF_RX_ADDR_P5      0x0F  // 'RX address pipe5' register address
#define NRF_TX_ADDR         0x10  // 'TX address' register address
#define NRF_RX_PW_P0        0x11  // 'RX payload width, pipe0' register address
#define NRF_RX_PW_P1        0x12  // 'RX payload width, pipe1' register address
#define NRF_RX_PW_P2        0x13  // 'RX payload width, pipe2' register address
#define NRF_RX_PW_P3        0x14  // 'RX payload width, pipe3' register address
#define NRF_RX_PW_P4        0x15  // 'RX payload width, pipe4' register address
#define NRF_RX_PW_P5        0x16  // 'RX payload width, pipe5' register address
#define NRF_FIFO_STATUS     0x17  // 'FIFO Status Register' register address
#define NRF_FEATURE			0x1D
#define NRF_DYNPD			0x1C


#define NRF_MASK_RX_DR_FLAG     0x40
